<!-- HTML for static distribution bundle build -->
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>NeuroCar API - Version 4</title>
    <link rel="stylesheet" type="text/css" href="swagger/swagger-ui.css" />
    <link rel="icon" type="image/png" href="swagger/favicon-32x32.png" sizes="32x32" />
    <link rel="icon" type="image/png" href="swagger/favicon-16x16.png" sizes="16x16" />
    <style>
      html
      {
        box-sizing: border-box;
        overflow: -moz-scrollbars-vertical;
        overflow-y: scroll;
      }

      *,
      *:before,
      *:after
      {
        box-sizing: inherit;
      }

      body
      {
        margin:0;
        background: #fafafa;
      }
    </style>
  </head>

  <body>
    <div id="swagger-ui"></div>

    <script src="swagger/swagger-ui-bundle.js" charset="UTF-8"> </script>
    <script src="swagger/swagger-ui-standalone-preset.js" charset="UTF-8"> </script>
    <script>
    window.onload = function() {
      // Begin Swagger UI call region
      const ui = SwaggerUIBundle({
        //url: "schemas/vehicle/openapi.json",
        urls: [
          {url: "schemas/cameras/openapi.json", name: "Cameras"},
          {url: "schemas/config/openapi.json", name: "Config"},
          {url: "schemas/locations/openapi.json", name: "Locations"},          
          {url: "schemas/lora/openapi.json", name: "LoRaWAN"},          
          {url: "schemas/parkings/openapi.json", name: "Parkings"},
          {url: "schemas/stats/openapi.json", name: "Stats"},          
          {url: "schemas/status/openapi.json", name: "Status"},
          {url: "schemas/terminals/openapi.json", name: "Terminals"},
          {url: "schemas/traffic/openapi.json", name: "Traffic"},
          {url: "schemas/vehicles/openapi.json", name: "Vehicles"}
        ],
        dom_id: '#swagger-ui',
        deepLinking: true,
        presets: [
          SwaggerUIBundle.presets.apis,
          SwaggerUIStandalonePreset
        ],
        plugins: [
          SwaggerUIBundle.plugins.DownloadUrl
        ],
        layout: "StandaloneLayout"
      });
      // End Swagger UI call region

      window.ui = ui;
    };
  </script>
  </body>
</html>
